Saltar al contenido principal
Update a Business Representative
curl --request PATCH \
  --url https://api.spherepay.co/v2/business-representative/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "line1": "350 Fifth Avenue",
    "city": "New York",
    "state": "NY",
    "postalCode": "10118",
    "country": "USA"
  }
}
'
{
  "id": "associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b",
  "customerId": "customer_2f283221a9d44ada800ac7f11f640402",
  "type": "individual",
  "email": "james.wilson@acmecorp.example.com",
  "phone": "+13125559876",
  "representationDetails": {
    "roles": [
      "ubo"
    ],
    "ownershipPercentage": "50",
    "isControlPerson": true,
    "isSigner": true,
    "relationshipEstablishedAt": "2020-03-15",
    "title": "CEO"
  },
  "verificationProfiles": [
    {
      "name": "ubo_kyc_profile_a",
      "status": "incomplete",
      "criteria": {
        "complete": [
          "email_address",
          "phone_number",
          "residential_address",
          "tax_identification_number",
          "ownership_percentage",
          "is_control_person",
          "is_signer",
          "relationship_established_at",
          "title"
        ],
        "pending": [],
        "required": [
          "identity_document",
          "liveness_report_document",
          "proof_of_address_document"
        ],
        "errors": []
      }
    }
  ],
  "createdAt": "2026-03-10T00:00:08.986Z",
  "updatedAt": "2026-03-10T02:15:00.000Z"
}
Actualiza los campos mutables en un representante empresarial existente. Usa este endpoint para corregir o complementar información antes de que la verificación KYB del representante sea enviada — por ejemplo, para agregar un número de identificación fiscal, actualizar una dirección residencial o ajustar los detalles de representación como título o porcentaje de propiedad. Solo incluye los campos que quieres cambiar; los campos no especificados se dejan sin cambios.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

Business Representative ID

Minimum string length: 1
Ejemplo:

"associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b"

Cuerpo

application/json
address
object

The address of the business representative. Required if personalInformation is provided.

Ejemplo:
{
"line1": "742 North Wabash Avenue",
"line2": "Apt 4B",
"city": "Chicago",
"postalCode": "60611",
"state": "IL",
"country": "USA"
}
personalInformation
object

Personal information including tax identification details for individual customers. When any tax identification field is provided, all tax identification fields (number, type, country) and address are required. Please refer to the Individual Verification Criteria for the full list of reference.

representationDetails
object

The representation details of the business representative.

Ejemplo:
{
"roles": ["ubo"],
"ownershipPercentage": "50",
"isControlPerson": true,
"isSigner": true,
"relationshipEstablishedAt": "2020-03-15",
"title": "CEO"
}

Respuesta

id
string
requerido

Business Representative ID

Ejemplo:

"associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b"

customerId
string
requerido

Customer ID

Ejemplo:

"customer_2f283221a9d44ada800ac7f11f640402"

type
enum<string>
requerido

Customer type

Opciones disponibles:
individual
Ejemplo:

"individual"

verificationProfiles
object[]
requerido

Array of verification profiles for the business representative.

Ejemplo:
[
{
"name": "ubo_kyc_profile_a",
"status": "incomplete",
"criteria": {
"complete": [
"email_address",
"phone_number",
"residential_address",
"tax_identification_number",
"ownership_percentage",
"is_control_person",
"is_signer",
"relationship_established_at",
"title"
],
"pending": [],
"required": [
"identity_document",
"liveness_report_document",
"proof_of_address_document"
],
"errors": []
}
}
]
createdAt
string
requerido

The date and time the business representative was created.

Ejemplo:

"2026-03-10T00:00:08.986Z"

updatedAt
string
requerido

The date and time the business representative was last updated.

Ejemplo:

"2026-03-10T00:00:08.986Z"

email
string

Email address

Ejemplo:

"james.wilson@acmecorp.example.com"

phone
string

Phone number

Ejemplo:

"+13125559876"

representationDetails
object

Representation details

Última modificación el 18 de junio de 2026